package cn.iocoder.yudao.module.infra.websocket;

import cn.iocoder.yudao.framework.common.enums.UserTypeEnum;
import cn.iocoder.yudao.framework.websocket.core.listener.WebSocketMessageListener;
import cn.iocoder.yudao.framework.websocket.core.sender.WebSocketMessageSender;
import cn.iocoder.yudao.framework.websocket.core.util.WebSocketFrameworkUtils;
import cn.iocoder.yudao.module.infra.websocket.message.AttendanceReceiveMessage;
import cn.iocoder.yudao.module.infra.websocket.message.AttendanceSendMessage;
import cn.iocoder.yudao.module.infra.websocket.message.DemoReceiveMessage;
import cn.iocoder.yudao.module.infra.websocket.message.DemoSendMessage;
import org.springframework.stereotype.Component;
import org.springframework.web.socket.WebSocketSession;

import javax.annotation.Resource;

/**
 * 考勤仪设备 WebSocket 数据通信
 *

 */
@Component
public class AttendanceWebSocketMessageListener implements WebSocketMessageListener<AttendanceSendMessage> {

    @Resource
    private WebSocketMessageSender webSocketMessageSender;

    @Override
    public void onMessage(WebSocketSession session, AttendanceSendMessage message) {
        String sn = session.getId() ;
        AttendanceReceiveMessage toMessage = new AttendanceReceiveMessage().setFrom("system")
                .setData(message.getData());
        webSocketMessageSender.sendSNObject(sn,  "attendance-message-send", toMessage);
    }

    @Override
    public String getType() {
        return "attendance-message-send";
    }

}
