package cn.iocoder.yudao.module.system.api.equipment;

import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 考勤设备")
public interface AttendanceMachineApi {

    String PREFIX = ApiConstants.PREFIX + "/attendance-machine";

    @PostMapping(PREFIX + "/update")
    @Operation(summary = "修改设备状态")
    @Parameter(name = "deviceNo", description = "设备号", example = "QTB782", required = true)
    void updateAttendanceMachineStatus(@RequestParam("deviceNo") String deviceNo);
}
