package cn.iocoder.yudao.module.system.service.equipment;

import cn.iocoder.yudao.module.system.dal.dataobject.equipment.DistributeRecordDO;
import cn.iocoder.yudao.module.system.dal.mysql.equipment.DistributeRecordMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

/**
 * 考勤机下发记录 Service 实现类
 *
 * @author 符溶馨
 */
@Service
@Validated
public class DistributeRecordServiceImpl implements DistributeRecordService {

    @Resource
    private DistributeRecordMapper distributeRecordMapper;

    @Override
    public Long createDistributeRecord(DistributeRecordDO createReqVO) {

        // 插入
        distributeRecordMapper.insert(createReqVO);
        // 返回
        return createReqVO.getId();
    }

    @Override
    public DistributeRecordDO getDistributeRecord(Long id) {
        return distributeRecordMapper.selectById(id);
    }

}